<div class=" p-3">
    <!---/Holding,subsidiary,Parnet Company details-->
    <div>
        <h4 class="font-weight-bold">Whether Company is Holding Company:
            <span>
                <select [(ngModel)]="holding" name="holding" id="" class="form-control-sm b-4">
                    <option *ngFor="let option of yesOrNoOptions" [value]="option.value">{{ option.label }}</option>
                </select>
            </span>
        </h4>
        <hr>
        <ng-container *ngIf="holding == 'yes'">
            <table class="table table-bordered table-responsive-lg border-right-0 border-bottom-0 border-top-0">
                <thead>
                    <tr>
                        <th>Sl. No</th>
                        <th>Name of the Holding Company</th>
                        <th>CIN of holding Number</th>
                        <th>No of Shares Holder</th>
                        <th>%age of Shares Held</th>
                        <th>Date of Holding</th>
                        <th>Attachment</th>
                        <th class="border-0"></th>
                        <th class="border-0"></th>
                    </tr>
                </thead>
                <tbody>
                    <tr  *ngFor="let holding of HoldingArray; let i = index;">
                        <td class="p-0"><input name="holding_sl_no" [(ngModel)]="HoldingArray[i].holding_sl_no" type="text" class="border-0 form-control m-0"></td>
                        <td class="p-0"><input name="holders_name" [(ngModel)]="HoldingArray[i].holders_name"type="text" class="border-0 form-control m-0"></td>
                        <td class="p-0"><input name="holders_cin" [(ngModel)]="HoldingArray[i].holders_cin"type="text" class="border-0 form-control m-0"></td>
                        <td class="p-0"><input name="no_share_holders" [(ngModel)]="HoldingArray[i].no_share_holders"type="text" class="border-0 form-control m-0"></td>
                        <td class="p-0"><input name="ratio_of_share_holders" [(ngModel)]="HoldingArray[i].ratio_of_share_holders"type="text" class="border-0 form-control m-0"></td>
                        <td class="p-0"><input name="date_of_holders" [(ngModel)]="HoldingArray[i].date_of_holders"type="date" class="border-0 form-control m-0"></td>
                        <td class="p-0"><input name="holding_attachment" [(ngModel)]="HoldingArray[i].holding_attachment"type="file" class="border-0 form-control m-0"></td>
                        <td (click)="addHoldingRow(i)" class="pt-2 border-0"><a class="text-dark"><i class="fa fa-plus-circle"
                                    aria-hidden="true"></i></a></td>
                        <td (click)="deleteHoldingRow(i)" class="pt-2 border-0"><a class="text-danger"><i class="fa fa-minus-circle"
                                    aria-hidden="true"></i></a></td>
                    </tr>
                </tbody>
            </table>
            <hr>
            <div class="text-right mb-2">
                <button type="button" class="btn btn-warning">Cancel</button>
                <button (click)="onSubmitHolding()" type="button" class="btn btn-primary">Save</button>
            </div>
        </ng-container>
    </div>

</div>
<!--/holding-company-->
<div>
    <h4 class="font-weight-bold">Whether Company is subsidiary Company:
        <span>
            <select [(ngModel)]="subsidiary" name="subsidiary" id="" class="form-control-sm b-4">
                <option *ngFor="let option of yesOrNoOptions" [value]="option.value">{{ option.label }}</option>
            </select>
        </span>
    </h4>
    <hr>

    <ng-container *ngIf="subsidiary == 'yes'">
    <table class="table table-bordered table-responsive-lg border-right-0 border-bottom-0 border-top-0">
        <thead>
            <tr>
                <th>Sl. No</th>
                <th>Name of the Subsidiary Company</th>
                <th>CIN of subsidiary Number</th>
                <th>No of Shares Holder</th>
                <th>%age of Shares Held</th>
                <th>Date of Subsidiary</th>
                <th>Attachment</th>
                <th class="border-0"></th>
                <th class="border-0"></th>
            </tr>
        </thead>
        <tbody>
            <tr  *ngFor="let subsidiary of SubsidiaryArray; let i = index;">
                <td class="p-0"><input name="subsidiary_sl_no" [(ngModel)]="SubsidiaryArray[i].subsidiary_sl_no" type="text" class="border-0 form-control m-0"></td>
                <td class="p-0"><input name="subsidiary_name" [(ngModel)]="SubsidiaryArray[i].subsidiary_name"type="text" class="border-0 form-control m-0"></td>
                <td class="p-0"><input name="subsidiary_cin" [(ngModel)]="SubsidiaryArray[i].subsidiary_cin"type="text" class="border-0 form-control m-0"></td>
                <td class="p-0"><input name="no_share_subsidiary" [(ngModel)]="SubsidiaryArray[i].no_share_subsidiary"type="text" class="border-0 form-control m-0"></td>
                <td class="p-0"><input name="ratio_of_share_subsidiary" [(ngModel)]="SubsidiaryArray[i].ratio_of_share_subsidiary"type="text" class="border-0 form-control m-0"></td>
                <td class="p-0"><input name="date_of_subsidiary" [(ngModel)]="SubsidiaryArray[i].date_of_subsidiary"type="date" class="border-0 form-control m-0"></td>
                <td class="p-0"><input name="subsidiary_attachment" [(ngModel)]="SubsidiaryArray[i].subsidiary_attachment"type="file" class="border-0 form-control m-0"></td>
                <td (click)="addSubsidiaryRow(i)" class="pt-2 border-0"><a  class="text-dark"><i class="fa fa-plus-circle"
                            aria-hidden="true"></i></a></td>
                <td (click)="deleteSubsidiaryRow(i)" class="pt-2 border-0"><a  class="text-danger"><i class="fa fa-minus-circle"
                            aria-hidden="true"></i></a></td>
            </tr>
        </tbody>
    </table>
    <hr>
    <div class="text-right mb-2">
        <button type="button" class="btn btn-warning">Cancel</button>
        <button (click)="onSubmitSubsidiary()" type="button" class="btn btn-primary">Save</button>
    </div>
</ng-container>
</div>
<!--/subsidiary-->
<div>
    <h4 class="font-weight-bold">Whether Company is Associate Company:
        <span>
            <select [(ngModel)]="associate" name="associate" id="" class="form-control-sm b-4">
                <option *ngFor="let option of yesOrNoOptions" [value]="option.value">{{ option.label }}</option>
            </select>
        </span>
    </h4>
    <hr>
    <ng-container *ngIf="associate == 'yes'">
        <table class="table table-bordered table-responsive-lg border-right-0 border-bottom-0 border-top-0">
            <thead>
                <tr>
                    <th>Sl. No</th>
                    <th>Name of the Associate Company</th>
                    <th>CIN of Associate Company</th>
                    <th>No of Shares Holder</th>
                    <th>%age of Shares Held</th>
                    <th>Date of Holding</th>
                    <th>Attachment</th>
                    <th class="border-0"></th>
                    <th class="border-0"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let Associate of AssociateArray; let i = index;">
                    <td class="p-0"><input name="associate_sl_no" [(ngModel)]="AssociateArray[i].associate_sl_no" type="text" class="border-0 form-control m-0"></td>
                    <td class="p-0"><input name="name_of_the_associate_company" [(ngModel)]="AssociateArray[i].name_of_the_associate_company"type="text" class="border-0 form-control m-0"></td>
                    <td class="p-0"><input name="cin_of_associate_company" [(ngModel)]="AssociateArray[i].cin_of_associate_company" type="text" class="border-0 form-control m-0"></td>
                    <td class="p-0"><input name="no_of_shares_associate" [(ngModel)]="AssociateArray[i].no_of_shares_associate"type="text" class="border-0 form-control m-0"></td>
                    <td class="p-0"><input name="persent_of_shares_associate" [(ngModel)]="AssociateArray[i].persent_of_shares_associate"type="text" class="border-0 form-control m-0"></td>
                    <td class="p-0"><input name="date_of_associate" [(ngModel)]="AssociateArray[i].date_of_associate"type="date" class="border-0 form-control m-0"></td>
                    <td class="p-0"><input name="associate_attachment" [(ngModel)]="AssociateArray[i].associate_attachment" type="file" class="border-0 form-control m-0"></td>
                    <td (click)="addAssociateRow(i)"class="pt-2 border-0"><a class="text-dark"><i class="fa fa-plus-circle"
                                aria-hidden="true"></i></a></td>
                    <td (click)="deleteAssociateRow(i)" class="pt-2 border-0"><a class="text-danger"><i class="fa fa-minus-circle"
                                aria-hidden="true"></i></a></td>
                </tr>
            </tbody>
        </table>
        <hr />
        <div class="text-right mb-2">
            <button type="button" class="btn btn-warning">Cancel</button>
            <button (click)="onSubmitAssociate()" type="button" class="btn btn-primary">Save</button>
        </div>
    </ng-container>
</div>
<!--/Associate-company-->
<div>
    <h4 class="font-weight-bold">Whether Company is Partner Company:
        <span>
            <select [(ngModel)]="partner" name="" id="" class="form-control-sm b-4">
                <option *ngFor="let option of yesOrNoOptions" [value]="option.value">{{ option.label }}</option>
            </select>
        </span>
    </h4>
    <hr>
    <ng-container *ngIf="partner == 'yes'">
    <table class="table table-bordered table-responsive-lg border-right-0 border-bottom-0 border-top-0">
        <thead>
            <tr>
                <th>Sl. No</th>
                <th>Name of the Partner Company</th>
                <th>Registration Number of Partner Company</th>
                <th>No of Shares Holder</th>
                <th>%age of Shares Hold</th>
                <th>Date of partnership</th>
                <th>Attachment</th>
                <th class="border-0"></th>
                <th class="border-0"></th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let Partner of PartnerArray; let i = index;">
                <td class="p-0"><input name="partner_sl_no" [(ngModel)]="PartnerArray[i].partner_sl_no" type="text" class="border-0 form-control m-0"></td>
                <td class="p-0"><input name="name_of_the_partner_company" [(ngModel)]="PartnerArray[i].name_of_the_partner_company" type="text" class="border-0 form-control m-0"></td>
                <td class="p-0"><input name="registration_number_of_partner_ompany" [(ngModel)]="PartnerArray[i].registration_number_of_partner_ompany" type="text" class="border-0 form-control m-0"></td>
                <td class="p-0"><input name="no_of_shares_holder" [(ngModel)]="PartnerArray[i].no_of_shares_holder" type="text" class="border-0 form-control m-0"></td>
                <td class="p-0"><input name="persent_of_shares_hold" [(ngModel)]="PartnerArray[i].persent_of_shares_hold" type="text" class="border-0 form-control m-0"></td>
                <td class="p-0"><input name="date_of_partnership" [(ngModel)]="PartnerArray[i].date_of_partnership" type="date" class="border-0 form-control m-0"></td>
                <td class="p-0"><input name="pertner_attachment" [(ngModel)]="PartnerArray[i].pertner_attachment" type="file" class="border-0 form-control m-0"></td>
                <td (click)="addPartnerRow(i)" class="pt-2 border-0"><a  class="text-dark"><i class="fa fa-plus-circle"
                            aria-hidden="true"></i></a></td>
                <td (click)="deletePartnerRow(i)" class="pt-2 border-0"><a class="text-danger"><i class="fa fa-minus-circle"
                            aria-hidden="true"></i></a></td>
            </tr>
        </tbody>
    </table>
    <hr />
<div class="text-right mb-2">
    <button type="button" class="btn btn-warning">Cancel</button>
    <button (click)="onSubmitPartner()" type="button" class="btn btn-primary">Save</button>
</div>
</ng-container>
</div>
